part of 'landref_bloc.dart';

abstract class LandrefState extends Equatable {
  const LandrefState();

  @override
  List<Object> get props => [];
}

class LandrefLoading extends LandrefState {}

class LandrefLoaded extends LandrefState {
  LandrefLoaded(this.landRef);
  final LandRef landRef;

  @override
  List<Object> get props => [landRef];
}

class LandrefErrorState extends LandrefState {
  LandrefErrorState(this.error);
  final String error;

  @override
  List<Object> get props => [error];
}
